Bug 66781 - Unhandled exception toward end of installation
Summary: Unhandled exception toward end of installation
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-16 10:31 UTC by Amanda Elvin
Modified: 2007-04-18 16:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:49:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (87.07 KB, text/plain)
2002-06-16 10:31 UTC, Amanda Elvin
no flags Details

Description Amanda Elvin 2002-06-16 10:31:37 UTC
Created attachment 915105 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 1 Michael Fulbright 2002-06-17 16:28:51 UTC
You appear to have a bad CD. Please test following the instructions at:

http://people.redhat.com/~msf/mediacheck.html

Comment 2 Amanda Elvin 2002-06-20 03:23:06 UTC
All cds passed the Linux media check.

Comment 3 Kees-Jan Koster 2002-06-23 15:48:19 UTC
I've got the same error, I wanted to install a server, so I choose it from the 
menu, and selected some other packages, but every time I get this error at 
around half the installation... and all of the cds passed the checks.

Comment 4 Jordan 2002-06-25 02:24:12 UTC
I too have received this error, my CDs passed the test and are Official RedHat 
7.3 CDs. I was trying to install do a basic workstation install using the text 
install method. The only similarity that jumped out at me from above was the 
fact that I also have an Nvidia graphics card, although mine is a TNT2.  I was 
unable to use the graphical install as anaconda failed on that.

Comment 5 Rich Lewis 2002-06-27 06:13:10 UTC
I'm getting an unhandled exception at the end of my install also (with official
7.3 RH released CD's)  I'm unable to boot with GRUB or LILO and haven't yet been
able to make a bootable floppy.  Here's the first part of the message:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 633, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 814, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 130, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 417, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 144, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/upgrade.py", line 291, in upgradeFindPackages
    iutil.setClock(instPath)
  File "/usr/lib/anaconda/iutil.py", line 376, in setClock
    root = root)
  File "/usr/lib/anaconda/iutil.py", line 61, in execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /bin/sh can not be run
 


Comment 6 Michael Fulbright 2002-07-17 21:42:56 UTC
These errors occur when a read error occurs from the CD.  Do to the different
access pattern of the media check from during an install, CD drives do not
reproducibly fail.

Can you try with a different CD drive?

Comment 7 Michael Fulbright 2002-08-23 15:52:15 UTC
Closing due to inactivity. Please reopen if you have information to add to the
report.

Comment 8 Red Hat Bugzilla 2006-02-21 18:49:05 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.